## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     rofimoji
Version:        6.5.0
%global         forgeurl    https://github.com/fdw/rofimoji
%global         tag         %{version}
%forgemeta

Name:           %{srcname}
Release:        %autorelease
Summary:        A character picker for rofi 😀

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%py_provides    python3-picker

# Requirements for X11
Requires:       rofi
Requires:       xsel
Requires:       xclip
Requires:       xdotool

# Requirements for Wayland
Requires:       wofi
Requires:       wl-clipboard
Requires:       wtype

%description
How often did you want to insert one of those Unicode emoji only to learn that
there is no nice picker for Linux? Fear no more, this script uses the power of
rofi (and other dmenu-derivatives like wofi) to present exactly the picker you
always wanted. Insert the selected emoji directly, or copy it to the clipboard.
And you can use it to pick any weird character someone got into Unicode, too.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files picker


%files -n %{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/rofimoji


%changelog
## START: Generated by rpmautospec
* Sat Sep 14 2024 Packit <hello@packit.dev> - 6.5.0-1
- Update to 6.5.0 upstream release
- Resolves: rhbz#2312342

* Mon Aug 26 2024 Packit <hello@packit.dev> - 6.4.0-1
- Update to 6.4.0 upstream release
- Resolves: rhbz#2308022

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 25 2024 Major Hayden <major@redhat.com> - 6.3.2-1
- Update to 6.3.2 rhbz#2291361

* Tue Jun 25 2024 Major Hayden <major@redhat.com> - 6.3.0-1
- Revert "Bump rofimoji Version to v6.3.2"

* Tue Jun 25 2024 Major Hayden <major@redhat.com> - 6.3.2-3
- Update to 6.3.2 rhbz#2291361

* Tue Jun 25 2024 Major Hayden <major@mhtx.net> - 6.3.2-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
